Summary: Daemon that provides on demand IP links via SLIP or PPP.
Name: diald
Version: 0.16
Release: 3C8
Source0: ftp://ftp.pht.com/.3/sunsite/Incoming/diald-0.16.tar.gz
Source1: conf+init+connect.tar.gz
Source2: README-diald-0.16-3
Patch0: diald-0.16-linux.patch
Patch1: diald-0.16-cobalt.patch
Patch2: diald-0.16-cobalt2.patch
Patch3: diald-0.16-cobalt3.patch
Copyright: Freely distributable (see LICENSE)
Group: Networking/Daemons
Packager: Karl O. Pinc -- The Meme Factory, Inc  http://www.meme.com

%description
The purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device
which stands in for the physical connection to a remote site. It then
monitors the proxy, waiting for packets to arrive. When interesting
packets arrive it will attempt to establish the physical link to the
remote site using either SLIP or PPP, and if it succeeds it will forward
traffic from the proxy to the physical link. As well, diald will monitor
traffic once the physical link is up, and when it has determined that the
link is idle, the remote connection is terminated. The criteria for
bringing the link up and taking it down are configurable at run time, and
are based upon the type of traffic passing over the link. 

%changelog
* Mon Jan 25 1999 Gideon Glass <gid@cobaltnet.com>
  - standard.filter: increase some timeouts to 60 seconds (rtf patch3 file)

* Wed Jan 20 1999 Andrew Bose <andrew@cobalnet.com>
  - change some timeout to 900 from 60 (rtf patchfile)

* Wed Jan 13 1999 David S. Miller <davem@dm.cobaltmicro.com>
  - Set 'novj' and 'novjccomp' pppd options in diald.conf
  - Fix unaligned access traps in check_firewall()

* Thu Jan 7 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - use /dev/modem
  - update timeout values in diald.conf
  - enable fifo for diald-monitor and diald-control
  - add dialdMon to diald.init for kevin
  - renamed linux.patch2 to cobalt.patch and added above changes to it

* Mon Dec 21 1998 Andrew Bose <andrew@cobaltnet.com>
	-0.16-3c4
	-use /dev/realcua0 instead of /dev/modem so that it matches the getty in inittab

* Mon Nov 2 1998 Andrew Bose <andrew@cobalnet.com>
        -0.16-3C3
        -use /dev/modem instead of /dev/cua0

* Wed Oct 28 1998 Andrew Bose <andrew@cobaltnet.com>
	-0.16-3C2
	- add diald.init
	- edit standard.filter to bring up link for named to named links
	- edit diald.conf to cobalt def conf
	- port to Cobalt (gid)

%prep
%setup -n diald-0.16 -b 0 -a 1
cp ../../SOURCES/README-diald-0.16-3 .

%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0

%build
make depend
make

%install
make install
cp -rp contrib /usr/lib/diald

%files
%config /etc/diald.conf
%config /etc/rc.d/init.d/diald.init
/usr/sbin/diald
/usr/bin/dctrl
/usr/lib/diald
/usr/man/man8/diald.8
/usr/man/man1/dctrl.1
/usr/man/man5/diald-examples.5
/usr/man/man5/diald-control.5
/usr/man/man5/diald-monitor.5
%doc BUGS CHANGES LICENSE THANKS README doc/diald-faq.txt diald.conf connect README-diald-0.16-3 diald.init
